variables:
  SCSREL: "4.00"

stages:
- build

build_docker:
  stage: build
  tags:
    - docker
  image: docker:latest
  services:
    - docker:dind
  script:
    - echo docker build -t $CI_REGISTRY_IMAGE:$SCSREL . --no-cache
    - docker build -t $CI_REGISTRY_IMAGE:$SCSREL . --no-cache
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - echo docker push $CI_REGISTRY_IMAGE:$SCSREL
    - docker push $CI_REGISTRY_IMAGE:$SCSREL